Bug 471022 - Can't hide akregator by clicking systray icon
Can't hide akregator by clicking systray icon
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 08:08 EST by Michal Hlavinka
Modified: 2009-03-17 08:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 08:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (810 bytes, patch)
2008-11-11 08:22 EST, Jaroslav Reznik
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 171642 None None None Never

  None (edit)
Description Michal Hlavinka 2008-11-11 08:08:37 EST
Description of problem:
Akregator's systray icon was working for window hiding and restoration. Now if icon is clicked akregator shows up, but if window is already visible it "blinks" and stay visible. Other apps (konversation, kopete, ...) don't act like this.

Version-Release number of selected component (if applicable):
kdepim-4.1.2-4.fc10.x86_6
kdepimlibs-4.1.2-4.fc10.x86_644


How reproducible:
always

Steps to Reproduce:
1.run akregator
2.click on systray icon
3.
  
Actual results:
akregator shows up if hidden, but blinks and stays visible otherwise 

Expected results:
akregator shows up if hidden and hide if visible

Additional info:
Comment 1 Jaroslav Reznik 2008-11-11 08:19:57 EST
I can confirm this bug. It's should be fixed for 4.1.3 - it's not working and uncomplete backport from 4.2 which even wasn't needed. I'm trying to rebuild it to test it. Signal showPart shouldn't connected to show() slot but another slot with setVisible based on current state - see MainWindow::loadPart.
Comment 2 Jaroslav Reznik 2008-11-11 08:22:49 EST
Created attachment 323169 [details]
Proposed patch

Fixed in 4.1.3

SVN commit 874882 by uwolfer: 

Revert r864309, which was not necessary to backport (breaks things as confirmed multiple times; please retest now) 
CCBUG:171642 
M +0 -2 mainwindow.cpp
Comment 3 Jaroslav Reznik 2008-11-11 08:54:15 EST
Please try this http://koji.fedoraproject.org/koji/taskinfo?taskID=926245 (with --nodeps), looks ok for me.
Comment 4 Rex Dieter 2008-11-11 09:53:40 EST
We'll be preparing a kde-4.1.3 update *real soon* too.
Comment 5 Michal Hlavinka 2008-11-11 10:38:17 EST
(In reply to comment #3)
> Please try this http://koji.fedoraproject.org/koji/taskinfo?taskID=926245 (with
> --nodeps), looks ok for me.

This version works fine

(it was working even without --nodeps)
Comment 6 Rex Dieter 2008-11-12 15:23:57 EST
akregator within kontact seems similarly broken (for me, and not fixed by this patch), but I'll test if 4.1.3 addresses that or not in a bit.
Comment 7 Jaroslav Reznik 2008-11-13 03:18:04 EST
Hmm, I'll try it in Kontact. But this is the only one change between 4.1.2 and 4.1.3 related to this issue. More changes are in trunk.
Comment 8 Bug Zapper 2008-11-26 00:11:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.